Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.dted
Class OMDTEDGrid

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphic
              com.bbn.openmap.omGraphics.OMGraphicList
                  com.bbn.openmap.omGraphics.OMGrid
                      com.bbn.openmap.dataAccess.dted.OMDTEDGrid

All Implemented Interfaces:
  java.lang.Cloneable, GraphicList, OMGeometry, OMGraphicConstants, java.io.Serializable

public class OMDTEDGrid
extends OMGrid

The OMDTEDGrid is an extended OMGrid with information about the lat/lons of the corners of the grids, so the generators can use OMScalingRasters for precise alignment.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.OMGraphicList
`OMGraphicList.OMDist`

Field Summary
`protected float` | `latitude1` The starting latitude point of the grid.
`protected float` | `longitude1` The starting longitude point of the grid.

Fields inherited from class com.bbn.openmap.omGraphics.OMGrid
`COLUMN_MAJOR, columns, data, generator, GRID_NULL, gridObjects, height, horizontalResolution, latitude, longitude, major, orientation, point, point1, point2, ROW_MAJOR, rows, units, verticalResolution, width`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicList
`allowDuplicates, FIRST_ADDED_ON_TOP, graphics, LAST_ADDED_ON_TOP, NONE, processAllGeometries, traverseMode, vague`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphic
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Constructor Summary
`OMDTEDGrid(float lllat, float lllon, float urlat, float urlon, float vResolution, float hResolution, GridData.Short data)`

Method Summary
`float` | `getLeftLon()` Get the western longitude.
`float` | `getLowerLat()` Get the upper latitude.
`float` | `getRightLon()` Get the eastern longitude.
`float` | `getUpperLat()` Get the southern latitude.
`void` | `setLeftLon(float value)` Change the western longitude attribute.
`void` | `setLowerLat(float value)` Change the upper latitude attribute.
`void` | `setRightLon(float value)` Change the eastern longitude attribute.
`void` | `setUpperLat(float value)` Change the southern latitude attribute.

Methods inherited from class com.bbn.openmap.omGraphics.OMGrid
`generate, generateGridObjects, getColumns, getData, getGenerator, getGridObjects, getHeight, getHorizontalResolution, getLatitude, getLongitude, getMajor, getOrientation, getPoint, getRows, getUnits, getVerticalResolution, getWidth, interpValueAt, render, set, set, setColumns, setData, setData, setGenerator, setGridObjects, setHorizontalResolution, setLatitude, setLongitude, setMajor, setOrientation, setRows, setShape, setUnits, setVerticalResolution, valueAt`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicList
`_add, _doAction, _findClosest, _findClosest, _getAt, _getContains, _getWithAppObject, _indexOf, _insert, _remove, _remove, _selectClosest, _setAt, add, addOMGraphic, checkForDuplicate, clear, clone, contains, deselect, deselectAll, distance, doAction, findAll, findAll, findAllTest, findClosest, findClosest, findClosestTest, findIndexOfClosest, findIndexOfClosest, generate, getAllowDuplicates, getDescription, getDescription, getOMGraphicAt, getOMGraphicThatContains, getOMGraphicWithAppObject, getProcessAllGeometries, getTargets, getTraverseMode, indexOf, insertOMGraphicAt, isEmpty, isVague, isVisible, iterator, moveIndexedOneToBack, moveIndexedOneToBottom, moveIndexedOneToFront, moveIndexedOneToTop, moveIndexedToBottom, moveIndexedToFirst, moveIndexedToLast, moveIndexedToTop, objectToOMGraphic, project, project, readGraphics, readGraphics, remove, removeOMGraphicAt, renderAllAsSelected, select, selectAll, selectClosest, selectClosest, selectClosestTest, setAllowDuplicates, setFillPaint, setGridGenerator, setLinePaint, setMatted, setMattingPaint, setOMGraphicAt, setProcessAllGeometries, setSelectPaint, setStroke, setTargets, setTextureMask, setTraverseMode, setVague, setVisible, shouldProcess, size, sort, writeGraphics, writeGraphics`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphic
`getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, setDeclutterType, setEdgeMatchesFill, setFillColor, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setRenderType, setSelectColor, setSelected, setShape, setShowEditablePalette, shouldRenderEdge, shouldRenderFill`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, putAttribute, removeAttribute, replaceAppObjectWithAttributeMap, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate`

Field Detail

### latitude1

    protected float latitude1

  The starting latitude point of the grid. Only relevant when the data points are laid out in a lat/lon grid, or when an x/y grid is anchored to a lat/lon location. DOES NOT follow the OpenMap convention where area object locations are defined by the upper left location - the location of the grid is noted by the lower left corner, because grid data is usually defined by the lower left location. Makes it easier to deal with overlap rows and columns, and to calculate the locations of the rows and columns.

### longitude1

    protected float longitude1

  The starting longitude point of the grid. Only relevant when the data points are laid out in a lat/lon grid, or when an x/y grid is anchored to a lat/lon location. DOES NOT follow the OpenMap convention where area object locations are defined by the upper left location - the location of the grid is noted by the lower left corner, because grid data is usually defined by the lower left location. Makes it easier to deal with overlap rows and columns, and to calculate the locations of the rows and columns.

Constructor Detail

### OMDTEDGrid

    public OMDTEDGrid(float lllat,
                      float lllon,
                      float urlat,
                      float urlon,
                      float vResolution,
                      float hResolution,
                      GridData.Short data)

Method Detail

### setLowerLat

    public void setLowerLat(float value)

  Change the upper latitude attribute.

  Parameters:
    `value` - latitude in decimal degrees.

### getLowerLat

    public float getLowerLat()

  Get the upper latitude.

  Returns:
    the latitude in decimal degrees.

### setLeftLon

    public void setLeftLon(float value)

  Change the western longitude attribute.

  Parameters:
    `value` - the longitude in decimal degrees.

### getLeftLon

    public float getLeftLon()

  Get the western longitude.

  Returns:
    longitude in decimal degrees.

### setUpperLat

    public void setUpperLat(float value)

  Change the southern latitude attribute.

  Parameters:
    `value` - latitude in decimal degrees.

### getUpperLat

    public float getUpperLat()

  Get the southern latitude.

  Returns:
    the latitude in decimal degrees.

### setRightLon

    public void setRightLon(float value)

  Change the eastern longitude attribute.

  Parameters:
    `value` - the longitude in decimal degrees.

### getRightLon

    public float getRightLon()

  Get the eastern longitude.

  Returns:
    longitude in decimal degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details